<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_b1dd56266fec1e595c364d" . "7bfc1254cb" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgdXNlcl9pZD1pbnQ6bmV3X2lkIFdIRVJFIHVzZXJfaWQ9" . "aW50OnVfaWQ="), "_53bfc51e054c55b09f" . "faa67e35743c96" => base64_decode("VVBEQVRFIHB1Ymxpc2hfbm90aWZpY2F0aW9ucyBTRVQgb25jZT1pbnQ6b25jZSBXSEVSRSB1c2VyX2lkPWludDp1X2lkIEFORCBwYWdlX2lkPW" . "ludDp1X2lk"), "_2563c0d294fc6208" . "9228d12c57f6da77" => base64_decode("U0VMRUNUIG9uY2UgRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdX" . "Nlcl9pZCA9IGludDp1X2lkIEFORCBwYWdlX2lkID0gaW50OnBfaWQ="), "_b707d4367ddde579d81c" . "047d544710e3" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQ9aW" . "50OnVfaWQgQU5EIHBhZ2VfaWQ9aW50OnBfaWQ="), "_4ae48f0b4a26d3" . "9f5b586b01beb33" . "fec" => base64_decode("SU5TRVJUIElOVE8gcHVibGlzaF9ub3RpZmljYXRpb25zICh1c2VyX2lkLCBwYWdlX2lkLCBvbmNlKSBWQUxVRVMgKGludDp1X2" . "lkLCBpbnQ6cF9pZCwgaW50Om9uY2Up"), "_c06c961f393" . "742ecfd52b72" . "263ac9470" => base64_decode("aW" . "50" . "dm" . "Fs"), "_11bb4e3dc1" . "e3624a6ecb5" . "6860f9dead0" => base64_decode("U0VMRUNUIHVzZXJfaWQgRlJPTSB" . "wdWJsaXNoX25vdGlmaWNhdGlvbn" . "MgV0hFUkUgcGFnZV9pZD1pbnQ6c" . "F9pZA=="), "_20a787300c04552502" . "33fd06fa0384f4" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQgSU4gaW" . "46aW50OnVzZXJzIEFORCBwYWdlX2lkPWludDpwX2lkIEFORCBvbmNlID0gMQ=="), "_e656e7cb7f4bfc" . "035dd97e8a7055b" . "847" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIHVzZXJfaWQ9aW50On" . "VfaWQ="), "_ffc655ae461b838" . "dffa4551784bacfc" . "a" => base64_decode("U0VMRUNUICogRlJPTSBwdWJsaXNoX25vdGlmaWNhdGlvbnMgV0hFUkUgdXNlcl9pZD1pbnQ6" . "dV9pZCBBTkQgcGFnZV9pZD1pbnQ6cF9pZA=="), "_48467b7a05f9" . "2d5ee95d490c4" . "90118d1" => base64_decode("REVMRVRFIEZST00gcHVibGlzaF9ub3RpZmljYXRpb25zIFdIRVJFIH" . "BhZ2VfaWQ9aW50OnBfaWQ="));
use Claromentis\Core\Services;
use Claromentis\Core\DAL;





class PublishNotification extends ErrorHandler
{
    
    
    
    
    public $user_id;
    
    
    
    
    public $page_id;
    
    
    
    
    public $once;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function __construct($page_id, $_9e63546aa974e7187280d9182de56699 = false)
    {
        $this->page_id = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_c06c961f393742ecfd52b7" . "2263ac9470"]($page_id);
        $this->user_id = AuthUser::I()->GetId();
        $this->once = $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    
    public function Save()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2563c0d294fc62089228d12c57f" . "6da77"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            list($_9e63546aa974e7187280d9182de56699) = $_1f24efd4735b7a11b391147435e7d35d->fetchRow();
            if ($_9e63546aa974e7187280d9182de56699 != $this->once) {
                $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_53bfc51e05" . "4c55b09ffaa" . "67e35743c96"], $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c06c961f3" . "93742ecfd5" . "2b72263ac9" . "470"]($this->once), $this->user_id, $this->page_id);
            }
        } else {
            $query = new DAL\Query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4ae48f0b4a26d39f5b586b01beb" . "33fec"], $this->user_id, $this->page_id, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_c06c961f393742ecfd52b" . "72263ac9470"]($this->once));
            $db->query($query);
        }
    }
    
    
    
    
    public function Delete()
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b707d4367ddde579d8" . "1c047d544710e3"], $this->user_id, $this->page_id);
    }
    
    
    
    
    
    
    public function DeleteSentNotifications($_e4543e131c67c631b14751cc849d1310)
    {
        $db = Services::I()->GetDb();
        if (!empty($_e4543e131c67c631b14751cc849d1310)) {
            $db->query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_20a787300c045525" . "0233fd06fa0384f4"], $_e4543e131c67c631b14751cc849d1310, $this->page_id);
        }
    }
    
    
    
    
    
    
    static function DeleteNotificationsForPage($page_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_48467b7a05f92d5ee95d490" . "c490118d1"], $page_id);
    }
    
    
    
    
    
    
    static function DeleteNotificationsForUser($user_id)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e656e7cb7f4bfc035dd97e8a7055b8" . "47"], $user_id);
    }
    
    
    
    
    
    
    
    static function ReassignNotifications($user_id, $_4b3e34c8eac2f3dfca4b187bd615a53c)
    {
        $db = Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_b1dd56266fec1e595c364d7bfc12" . "54cb"], $_4b3e34c8eac2f3dfca4b187bd615a53c, $user_id);
    }
    
    
    
    
    public function SetOnce($_9e63546aa974e7187280d9182de56699)
    {
        $this->once = (bool) $_9e63546aa974e7187280d9182de56699;
    }
    
    
    
    
    
    
    public function IsMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_ffc655ae461b838dff" . "a4551784bacfca"], $this->user_id, $this->page_id);
        if ($_1f24efd4735b7a11b391147435e7d35d->hasData()) {
            return true;
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function GetUsersMonitored()
    {
        $db = Services::I()->GetDb();
        $_1f24efd4735b7a11b391147435e7d35d = $db->query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_11bb4e3dc1e3" . "624a6ecb56860" . "f9dead0"], $this->page_id);
        $_5882c836e9757b405d08e77f1fd2a18b = $_1f24efd4735b7a11b391147435e7d35d->fetchAllValues();
        return $_5882c836e9757b405d08e77f1fd2a18b;
    }
}